# UniTAP.dev.ports.modules.link.hdmi.status_rx

class StatusRx:

Class `StatusRx` describes information about HDMI link status on Sink (RX - receiver) side. Contains following info:

- HDMI mode `hdmi_mode`.
- Link Error counters `error_counters`.
- Channel lock `channel_lock`.
- HPD status `hpd_status` and HPD assert `set_assert_state`.
- Stream info `stream`.

StatusRx(port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO)
hdmi_mode: UniTAP.dev.ports.modules.link.hdmi.types.HdmiModeRx

Returns current HDMI mode.

###### Returns:

> object of `HdmiModeRx` type

error_counters: list

Returns values of current errors on link.

###### Returns:

> object of list type

def set_assert_state(self, asserted: bool = True):

Assert/Deassert HPD state.

###### Arguments:

- asserted (bool)

channel_lock: list

Returns channel lock states of current link.

###### Returns:

> object of list type

hpd_status: bool

Returns True if HDP is enabled, False - if not.

###### Returns:

> object of bool type

def stream( self, stream_index: int = 0) -> UniTAP.dev.ports.modules.link.dp.link_status_common.StreamStatus:

Returns status of selected stream `StreamStatus`.

###### Arguments:

- stream_index (int) - number of selected number

###### Returns:

> object of `StreamStatus` type